--by susi&wing /giants
local modDirectory = g_currentModDirectory
function onLoadMapFinished(mission, node)  
    if node ~= 0 then     
        local priceMaize = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter				
        local BretterHudFile = "hud/hud_fill_Bretter.png"
        local BretterHudFileSmall = "hud/hud_fill_Bretter_sml.png"       		
	--	local BretterHeapDiffuse = Utils.getFilename("fillPlanes/Bretter_diffuse.png", modDirectory)
    --    local BretterHeapnormal  = Utils.getFilename("fillPlanes/Bretter_normal.png", modDirectory)  
    --    local BretterHeapdistance = Utils.getFilename("fillPlanes/distance/BretterDistance_diffuse.png", modDirectory)  
		
		local emptyPalletsHudFile = "hud/hud_fill_emptyPallets.png"
        local emptyPalletsHudFileSmall = "hud/hud_fill_emptyPallets_sml.png"       		
	--	local emptyPalletsHeapDiffuse = Utils.getFilename("fillPlanes/emptyPallets_diffuse.png", modDirectory)
   --     local emptyPalletsHeapnormal  = Utils.getFilename("fillPlanes/emptyPallets_normal.png", modDirectory)  
        local emptyPalletsHeapdistance = Utils.getFilename("fillPlanes/distance/emptyPalletsDistance_diffuse.png", modDirectory)  
		      
		print("Register neuen filltype fuer Saegewerk/Palettenwerk:Bretter/Leerpaletten/boards/planches en bois/houten planken");
        local BretterFilType = g_fillTypeManager:addFillType("BRETTER", g_i18n:getText("Bretter"), true, priceMaize * 1.1, 0.00045, math.rad(40), BretterHudFile, BretterHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
		local emptyPalletsFilType = g_fillTypeManager:addFillType("EMPTYPALLETS", g_i18n:getText("emptyPallets"), true, priceMaize * 1.1, 0.00045, math.rad(40), emptyPalletsHudFile, emptyPalletsHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
		local BRETTERCategory = {"LOADINGVEHICLE"}	
		for _,k in pairs(BRETTERCategory) do
			g_fillTypeManager:addFillTypeToCategory(BretterFilType.index, g_fillTypeManager.nameToCategoryIndex[k])			
		end
		local EMPTYPALLETSCategory = {"LOADINGVEHICLE"}
		for _,k in pairs(EMPTYPALLETSCategory) do
			g_fillTypeManager:addFillTypeToCategory(emptyPalletsFilType.index, g_fillTypeManager.nameToCategoryIndex[k])			
		end
		  g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
    end	
end	
function load(id, xmlFile, key,customEnvironment)
		local hasmaize =false
		local hasBretter=false
        local hasemptyPallets=false			
		local object=id					
		if object == nil then
		else
		hasmaize =false
		hasBretter=false
		hasemptyPallets=false
			for i,filltype in pairs(object.acceptedFillTypes) do
					
			local fillname=g_fillTypeManager.indexToName[i]
	
				if fillname == "MAIZE" then
					hasmaize=true								
				end;
				if fillname == "BRETTER" then
					hasBretter=true								
				end;	
				if fillname == "EMPTYPALLETS" then
					hasemptyPallets=true								
				end;	
			end;
				
				if hasmaize and not hasBretter then
					--add BRETTER zur SellingStation wo MAIZE nimmt
					local filltypen = g_fillTypeManager:getFillTypeIndexByName("BRETTER")
					local price = g_fillTypeManager:getFillTypeByName("BRETTER").pricePerLiter
					object:addAcceptedFillType(filltypen,price,true,false)
					object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("BRETTER")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
					object:initPricingDynamics()
				end;
				if hasmaize and not hasemptyPallets then
					--add emptyPallets zur SellingStation wo MAIZE nimmt
					local filltypen = g_fillTypeManager:getFillTypeIndexByName("EMPTYPALLETS")
					local price = g_fillTypeManager:getFillTypeByName("EMPTYPALLETS").pricePerLiter
					object:addAcceptedFillType(filltypen,price,true,false)
					object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("EMPTYPALLETS")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
					object:initPricingDynamics()
				end;		
		end
end

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)

